org.apache.hadoop.mapreduce.v2.proto

## Interface MRServiceProtos.GetTaskReportRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    MRServiceProtos.GetTaskReportRequestProto, MRServiceProtos.GetTaskReportRequestProto.Builder
  Enclosing class:
    MRServiceProtos

      public static interface MRServiceProtos.GetTaskReportRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRProtos.TaskIdProto` | `getTaskId()` `optional .hadoop.mapreduce.TaskIdProto task_id = 1;`
    `MRProtos.TaskIdProtoOrBuilder` | `getTaskIdOrBuilder()` `optional .hadoop.mapreduce.TaskIdProto task_id = 1;`
    `boolean` | `hasTaskId()` `optional .hadoop.mapreduce.TaskIdProto task_id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTaskId

          boolean hasTaskId()

      `optional .hadoop.mapreduce.TaskIdProto task_id = 1;`

    - #### getTaskId

          MRProtos.TaskIdProto getTaskId()

      `optional .hadoop.mapreduce.TaskIdProto task_id = 1;`

    - #### getTaskIdOrBuilder

          MRProtos.TaskIdProtoOrBuilder getTaskIdOrBuilder()

      `optional .hadoop.mapreduce.TaskIdProto task_id = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.